Hi,
You can use the below format to find a rotation along an axis check image.
So, example if you want to rotate along Z axis 30 degrees the below will be your rotation matrix.
Dim rotation1 As NXOpen.Matrix3x3 = Nothing
rotation1.Xx = 0.86602540378443882
rotation1.Xy = -0.49999999999999967...
You just need to modify NX Mapping file for this. In TC command export the mapping file, edit the mapping attribute information and re-import.
Regards,
Mukundh
Are you able to run the external NXOpen application? If No.
Change the NXOpen, NXOpen.UF,.. Refences property "Copy Local" to True. Try executing the program.
To run the NXOpen program in Visual Studio itself then perform the following.
1) Open Start Menu-> Progames->NX Folder->NX...
Hi John,
"Smart Lightweight" views are not able to show the lightweight represented bodies. Only Exact bodies are shown when placed with "Smart Lightweight".
I want to create the drawing with lightweight weight represented data and not with Exact. Since, Exact representation will take more...
I am trying to place a drawing for Lightweight representation assembly. Unable to get the hidden lines options in Lightweight mode. Is there any setting in drafting to get hidden lines for lightweight assembly.
NX 9.0.3.4 MP2
Thanks in advance
Mukundh
I am using Blockstyler with super section. when a sketch is selected twice using super section then the error "Internal Memory Access Violation" message is shown. I have checked the log file and the below error is shown.
Functionality in Code:
1) Find the Part in current section. Make the part...
Load all components fully and use the following code.
using System;
using NXOpen;
public class NXJournal
{
public static void Main(string[] args)
{
Session theSession = Session.GetSession();
Part workPart = theSession.Parts.Work;
Part displayPart = theSession.Parts.Display...